body {
    background-image: linear-gradient(to right, var(--bg-start), var(--bg-end));
    margin: 0;
    overflow: hidden;
    flex-direction: column;
    display: flex;
    min-height: 100vh;
    overflow-y: auto;
}

.nav-bar {
    display: flex;
    justify-content: flex-end;
    padding-right: 30px;
    gap: 20px;
}

.menu {
    display: none;
    width: 2rem;
    height: 5vw;
    padding: 10px;
    padding-right: 30px;
}

@media screen and (max-width:700px) {
    .nav-bar a {display: none;}
    .nav-bar a.menu {
        float: right;
        display: block;
    }
    .nav-bar.responsive {
        position: relative;
        flex-direction: column;
        justify-content: flex-start;
        align-items: flex-start;
        width: 100%;
        padding-left: 10px;
        box-sizing: border-box;
    }
    .nav-bar.nav-bar.responsive a.menu {
        position: absolute;
        right: 20px;
        top: 20px;
        width: 2rem;
        display: block;
        z-index: 10;
    }
    .nav-bar.nav-bar.responsive a {
        float: none;
        display: block;
        text-align: left;
    }
    
}


.nav-bar p {
    color: var(--text-color);
    font-family: sans-serif;
}

.nav-bar a {
    text-decoration: none;
    
}

.header-row {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 5px;
}

.title {
    color: var(--text-color);
    font-family: sans-serif;
    display: block;
    margin-left: 10px;
}

.upper, .lower {
    display: flex;
    flex-direction: row;
    gap: 40px;
    height: auto;
    width: 70%;
    justify-content: center;
    margin: 1rem auto;
}

.planner, .notes, .reminder, .lumo{
    width: 500px;
    height: 300px;
    background-color: var(--button-color);
    border-radius: 12px;   
    border: 2px solid var(--border-color);
    cursor: pointer;
}

.planner:hover, .notes:hover, .reminder:hover, .lumo:hover {
    box-shadow: 0px 4px 5px rgba(0, 0, 0, 20);
}

h2 {
    color: var(--text-color);
    display: block;
    margin-top: 20px;
    margin-left: 40px;
    font-family: sans-serif;
}

.icon {
    width: 50px;
    display: block;
    padding-left: 3rem;
    margin-top: 2rem;
    
}

.desc {
    margin-top: 20px;
    line-height: 30px;
    font-family: sans-serif;
    font-weight: bold;
    color: var(--text-color);
    margin-left: 40px;
}

a {
    padding: 10px;
    text-decoration: none;
    color: var(--text-color);
    display: block;
    text-align: center;

}

a:hover {
    text-decoration: underline;
}



@media (max-width: 768px) {
    .upper, .lower {
        flex-direction: column;
        align-items: center;
    }
    .planner, .notes, .reminder, .lumo {
        width: 90%;
    }
}